## devhelp 3.18.1

=== debian/changelog ===
devhelp (3.18.1-1ubuntu5) xenial; urgency=medium

  * Undo that, use wk2 now.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 07 Jan 2016 16:17:39 +0000

devhelp (3.18.1-1ubuntu4) xenial; urgency=medium

  * Fix the -dev package dependency too.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Nov 2015 16:56:05 +0000

devhelp (3.18.1-1ubuntu3) xenial; urgency=medium

  * debian/patches/0001-Revert-Use-webkit_navigation_policy_decision_get_nav.patch,
    debian/control{,.in}: Use webkit2-3.0 since 2-4.0 isn't in main yet.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Nov 2015 13:39:34 +0000

devhelp (3.18.1-1ubuntu2) xenial; urgency=medium

  * Actually, just be in sync with Debian

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 28 Oct 2015 15:39:31 +1300

devhelp (3.18.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control.in:
    - Switch to libwebkit2gtk-4.0-dev.
    - Don't break anjuta << 2:3.14.0-2.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Oct 2015 17:19:37 +1300

devhelp (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop outdated section about Bonobo functionality from devhelp-common's
    package description.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 19:03:21 +0200

devhelp (3.18.0-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on libwebkit2gtk-4.0-dev to (>= 2.6.0) as per
    configure.ac.

  [ Andreas Henriksson ]
  * Update debian/libdevhelp-3-2.symbols with 3 removals and 1 addition.
    - Missing symbols not used according to codesearch.debian.net and
      was apparently never part of a public header, so very unlikely
      anyone would be using them....
      See https://git.gnome.org/browse/devhelp/commit/?id=4763132dfc6b
  * Ship dbus service file in devhelp package.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 15:39:12 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: devhelp
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://wiki.gnome.org/Apps/Devhelp
Build-Depends: cdbs,
               debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               intltool,
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.13.4),
               libwebkit2gtk-4.0-dev (>= 2.6.0),
               libxml-parser-perl,
               python3
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/

Package: libdevhelp-3-2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         devhelp-common (>= ${source:Version})
Breaks: anjuta (<< 2:3.14.0-2),
Description: Library providing documentation browser functionality
 This library provides embedable widgets from the Devhelp program to
 be integrated in tools like the Anjuta IDE for browsing API reference
 documentation.

Package: libdevhelp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libdevhelp-3-2 (= ${binary:Version}),
         libgtk-3-dev (>= 3.5.6),
         libwebkit2gtk-4.0-dev (>= 2.0.0)
Description: Library providing documentation browser functionality (development)
 This library provides embedable widgets from the Devhelp program to
 be integrated in tools like the Anjuta IDE for browsing API reference
 documentation.
 .
 This package contains the development files.

Package: devhelp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgtk-3-doc,
            libglib2.0-doc,
            libpango1.0-doc
Description: GNOME developers help program
 Devhelp's primary goal is to be an API documentation browser for GNOME.
 It is able to scan for .devhelp files generated automatically for
 packages that use gtk-doc-tools to generate documentation for libraries
 and programs.
 .
 Devhelp provides some integration capabilities, which is used to allow
 command-line searches, emacs integration and embedding in applications like
 the Anjuta IDE.

Package: devhelp-common
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Common files for devhelp and its library
 Devhelp's primary goal is to be an API documentation browser for GNOME.
 It is able to scan for .devhelp files generated automatically for
 packages that use gtk-doc-tools to generate documentation for libraries
 and programs.
 .
 This package provides internationalization files, mainly.

=== debian/rules ===
#!/usr/bin/make -f

export NOCONFIGURE=yes
export DEB_DH_AUTORECONF_ARGS=./autogen.sh
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
DEB_DH_INSTALL_ARGS := --list-missing

X_TOOLS += misc/devhelp.vim \
	misc/html2funcs.py \
	misc/html2xml.py \
	misc/man2xml.py

clean::
	rm -f debian/devhelp.emacsen-startup

binary-install/devhelp-common::
	dh_python3 -p$(cdbs_curpkg) /usr/lib/gedit/plugins

binary-post-install/devhelp::
	install -d `pwd`/debian/devhelp/usr/share/doc/devhelp/tools/
	install -m 644 $(X_TOOLS) \
		`pwd`/debian/devhelp/usr/share/doc/devhelp/tools/

pre-build::
	cp misc/devhelp.el debian/devhelp.emacsen-startup

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/devhelp/([\d\.]+[02468])/devhelp-(.*)\.tar\.xz

## devhelp 3.21.91

=== debian/changelog ===
devhelp (3.21.91-1) unstable; urgency=medium

  * New upstream release.
  * Install man page provided by upstream instead of our own, outdated own.
  * Convert from cdbs to dh.
  * Convert to multiarch.
  * Move the gedit plugin from devhelp-common to devhelp as the path is now
    arch specific. Add the necessary Breaks/Replaces.

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2016 23:16:33 +0200

devhelp (3.20.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update dependencies of libdevhelp-dev to match the versions in
    Build-Depends.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 18:00:44 +0200

devhelp (3.20.0-1) experimental; urgency=medium

  * Bump gtk+ build-dependency to >= 3.16 (Closes: #808995)
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Bump gtk+ to >= 3.19.3

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Apr 2016 13:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,27 @@
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Devhelp
-Build-Depends: cdbs,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
                intltool,
                libglib2.0-dev (>= 2.37.3),
-               libgtk-3-dev (>= 3.13.4),
+               libgtk-3-dev (>= 3.19.3),
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                libxml-parser-perl,
                python3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/
 
 Package: libdevhelp-3-2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          devhelp-common (>= ${source:Version})
@@ -39,10 +38,11 @@
 Package: libdevhelp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libdevhelp-3-2 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.5.6),
-         libwebkit2gtk-4.0-dev (>= 2.0.0)
+         libgtk-3-dev (>= 3.19.3),
+         libwebkit2gtk-4.0-dev (>= 2.6.0)
 Description: Library providing documentation browser functionality (development)
  This library provides embedable widgets from the Devhelp program to
  be integrated in tools like the Anjuta IDE for browsing API reference
@@ -56,6 +56,8 @@
 Recommends: libgtk-3-doc,
             libglib2.0-doc,
             libpango1.0-doc
+Breaks: devhelp-common (<< 3.21.91-1)
+Replaces: devhelp-common (<< 3.21.91-1)
 Description: GNOME developers help program
  Devhelp's primary goal is to be an API documentation browser for GNOME.
  It is able to scan for .devhelp files generated automatically for
@@ -68,6 +70,7 @@
 
 Package: devhelp-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}
 Description: Common files for devhelp and its library
  Devhelp's primary goal is to be an API documentation browser for GNOME.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

X_TOOLS += misc/devhelp.vim \
	misc/html2funcs.py \
	misc/html2xml.py \
	misc/man2xml.py

%:
	dh $@ --with autoreconf,gnome,python3

override_dh_autoreconf:
	NOCONFIGURE=true dh_autoreconf ./autogen.sh

override_dh_install:
	dh_install --list-missing
	install -d debian/devhelp/usr/share/doc/devhelp/tools/
	install -m 644 $(X_TOOLS) debian/devhelp/usr/share/doc/devhelp/tools/

override_dh_installemacsen:
	cp misc/devhelp.el debian/devhelp.emacsen-startup
	dh_installemacsen
	rm debian/devhelp.emacsen-startup

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_python3:
	dh_python3 -pdevhelp /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins

## devhelp 3.22.0

=== debian/changelog ===
devhelp (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 14:34:41 +0200

devhelp (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 23:56:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Devhelp
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gnome-common,
                gnome-pkg-tools,
                intltool,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	misc/man2xml.py
 
 %:
-	dh $@ --with autoreconf,gnome,python3
+	dh $@ --with gnome,python3
 
 override_dh_autoreconf:
 	NOCONFIGURE=true dh_autoreconf ./autogen.sh

## devhelp 3.24.0

=== debian/changelog ===
devhelp (3.24.0-0ubuntu2) zesty; urgency=medium

  * Bump libdevhelp-3-2 to libdevhelp-3-3 to follow upstream soname bump

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2017 09:10:39 -0400

devhelp (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translation release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2017 08:30:36 -0400

devhelp (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1668745)
  * debian/control.in:
    - Build-depend on appstream-util, autoconf-archive, gobject-introspection
      and gtk-doc-tools
    - Drop Build-Depends on intltool
  * Add new gir1.2-devhelp-3.0 package
  * debian/libdevhelp-3-2.symbols: Add new symbol
  * debian/libdevhelp-3-dev.install: Install new gtk-doc documentation
  * debian/rules:
    - Drop obsolete override_dh_autoreconf rule

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Mar 2017 10:57:04 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,18 @@
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Devhelp
-Build-Depends: debhelper (>= 10),
+Build-Depends: appstream-util,
+               autoconf-archive,
+               debhelper (>= 10),
                gnome-common,
                gnome-pkg-tools,
-               intltool,
+               gtk-doc-tools (>= 1.25),
                libglib2.0-dev (>= 2.37.3),
+               libgirepository1.0-dev,
                libgtk-3-dev (>= 3.19.3),
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                libxml-parser-perl,
@@ -21,7 +25,7 @@
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/
 
-Package: libdevhelp-3-2
+Package: libdevhelp-3-3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,7 +43,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libdevhelp-3-2 (= ${binary:Version}),
+         gir1.2-devhelp-3.0 (= ${binary:Version}),
+         libdevhelp-3-3 (= ${binary:Version}),
          libgtk-3-dev (>= 3.19.3),
          libwebkit2gtk-4.0-dev (>= 2.6.0)
 Description: Library providing documentation browser functionality (development)
@@ -78,3 +83,20 @@
  and programs.
  .
  This package provides internationalization files, mainly.
+
+Package: gir1.2-devhelp-3.0
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for the devhelp library
+ This library provides embedable widgets from the Devhelp program to
+ be integrated in tools like the Anjuta IDE for browsing API reference
+ documentation.
+ .
+ This package contains introspection data for the devhelp library.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.

## devhelp 3.26.0

=== debian/changelog ===
devhelp (3.26.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Sep 2017 10:07:03 -0400

devhelp (3.25.91-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 08:07:13 -0400

devhelp (3.25.91-1) experimental; urgency=medium

  * New upstream release
  * Bump libdevhelp-3-2 to libdevhelp-3-4 to follow upstream soname bump
  * Add new gir1.2-devhelp-3.0 package
  * debian/control.in:
    - Build-depend on appstream-util, autoconf-archive, dh-python,
      gobject-introspection, gsettings-desktop-schemas-dev and gtk-doc-tools
    - Drop obsolete Build-Depends on gnome-common & intltool (Closes: #829798)
    - Bump minimum libgtk-3-dev to >= 3.22
  * debian/rules:
    - Drop obsolete override_dh_autoreconf rule
  * debian/libdevhelp-3-dev.install: Install new gtk-doc documentation
  * Update debian/libdevhelp-3-4.symbols
  * Bump Standards-Version to 4.0.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Aug 2017 17:49:41 -0400

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,28 @@
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Devhelp
 Build-Depends: appstream-util,
                autoconf-archive,
                debhelper (>= 10),
-               gnome-common,
+               dh-python,
                gnome-pkg-tools,
+               gobject-introspection,
+               gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.25),
                libglib2.0-dev (>= 2.37.3),
                libgirepository1.0-dev,
-               libgtk-3-dev (>= 3.19.3),
+               libgtk-3-dev (>= 3.22),
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                libxml-parser-perl,
                python3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/
 
-Package: libdevhelp-3-3
+Package: libdevhelp-3-4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -44,7 +45,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          gir1.2-devhelp-3.0 (= ${binary:Version}),
-         libdevhelp-3-3 (= ${binary:Version}),
+         gsettings-desktop-schemas-dev,
+         libdevhelp-3-4 (= ${binary:Version}),
          libgtk-3-dev (>= 3.19.3),
          libwebkit2gtk-4.0-dev (>= 2.6.0)
 Description: Library providing documentation browser functionality (development)

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,7 @@
 	misc/man2xml.py
 
 %:
-	dh $@ --with gnome,python3
-
-override_dh_autoreconf:
-	NOCONFIGURE=true dh_autoreconf ./autogen.sh
+	dh $@ --with gir,gnome,python3
 
 override_dh_install:
 	dh_install --list-missing

## devhelp 3.28.1

=== debian/changelog ===
devhelp (3.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 08 Apr 2018 13:50:10 -0400

devhelp (3.28.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 21 Mar 2018 14:58:57 -0400

devhelp (3.28.0-1) experimental; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Sun, 11 Mar 2018 12:22:19 +1100

devhelp (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Update library name to match bumped soname
  * Bump minimum libglib2.0-dev to 2.40 and
    libwebkitgtk-4.0-dev to 2.19.2
  * Build-Depend on yelp-tools
  * Update install files

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Feb 2018 19:39:42 -0500

devhelp (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 08:20:33 -0500

devhelp (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * debian/devhelp.install: Update for new AppStream metainfo location

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 20:54:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: devhelp
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Homepage: https://wiki.gnome.org/Apps/Devhelp
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
                autoconf-archive,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dh-python,
                gnome-pkg-tools,
                gobject-introspection,
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.25),
-               libglib2.0-dev (>= 2.37.3),
+               libglib2.0-dev (>= 2.40),
                libgirepository1.0-dev,
                libgtk-3-dev (>= 3.22),
-               libwebkit2gtk-4.0-dev (>= 2.6.0),
+               libwebkit2gtk-4.0-dev (>= 2.19.2),
                libxml-parser-perl,
-               python3
-Standards-Version: 4.1.0
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/
+               python3,
+               yelp-tools
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp
+Vcs-Git: https://salsa.debian.org/gnome-team/devhelp.git
+Homepage: https://wiki.gnome.org/Apps/Devhelp
 
-Package: libdevhelp-3-4
+Package: libdevhelp-3-5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -46,7 +47,7 @@
 Depends: ${misc:Depends},
          gir1.2-devhelp-3.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
-         libdevhelp-3-4 (= ${binary:Version}),
+         libdevhelp-3-5 (= ${binary:Version}),
          libgtk-3-dev (>= 3.19.3),
          libwebkit2gtk-4.0-dev (>= 2.6.0)
 Description: Library providing documentation browser functionality (development)
@@ -58,7 +59,7 @@
 
 Package: devhelp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Recommends: libgtk-3-doc,
             libglib2.0-doc,
             libpango1.0-doc
@@ -77,7 +78,7 @@
 Package: devhelp-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}
 Description: Common files for devhelp and its library
  Devhelp's primary goal is to be an API documentation browser for GNOME.
  It is able to scan for .devhelp files generated automatically for

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome,python3

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	find debian/tmp -name '*.pyo' -print -delete
	find debian/tmp -name '*.pyc' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installemacsen:
	cp plugins/devhelp.el debian/devhelp.emacsen-startup
	dh_installemacsen
	rm debian/devhelp.emacsen-startup

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_python3:
	dh_python3 -pdevhelp /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins

## devhelp 3.30.1

=== debian/changelog ===
devhelp (3.30.1-1) unstable; urgency=medium

  * New upstream release (Closes: #904651)
  * Build-Depend on libamtk-5-dev and meson
  * Update package name to libdevhelp-3-6 to match soname bump
  * debian/libdevhelp-3-6.symbols: Update
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.2.1
  * debian/copyright: Update

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Dec 2018 12:51:22 -0500

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,27 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: appstream-util,
-               autoconf-archive,
-               debhelper (>= 11),
+Build-Depends: debhelper (>= 11),
                dh-python,
                gnome-pkg-tools,
                gobject-introspection,
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.25),
+               itstool,
+               libamtk-5-dev,
                libglib2.0-dev (>= 2.40),
                libgirepository1.0-dev,
                libgtk-3-dev (>= 3.22),
                libwebkit2gtk-4.0-dev (>= 2.19.2),
                libxml-parser-perl,
-               python3,
-               yelp-tools
-Standards-Version: 4.1.2
+               meson (>= 0.47),
+               python3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp
 Vcs-Git: https://salsa.debian.org/gnome-team/devhelp.git
 Homepage: https://wiki.gnome.org/Apps/Devhelp
 
-Package: libdevhelp-3-5
+Package: libdevhelp-3-6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -47,7 +47,7 @@
 Depends: ${misc:Depends},
          gir1.2-devhelp-3.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
-         libdevhelp-3-5 (= ${binary:Version}),
+         libdevhelp-3-6 (= ${binary:Version}),
          libgtk-3-dev (>= 3.19.3),
          libwebkit2gtk-4.0-dev (>= 2.6.0)
 Description: Library providing documentation browser functionality (development)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome,python3

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

override_dh_missing:
	dh_missing --fail-missing

override_dh_installemacsen:
	cp plugins/devhelp.el debian/devhelp.emacsen-startup
	dh_installemacsen
	rm debian/devhelp.emacsen-startup

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_python3:
	dh_python3 -pdevhelp /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins

## devhelp 3.32.0

=== debian/changelog ===
devhelp (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 07:15:53 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libxml-parser-perl,
                meson (>= 0.47),
                python3
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp
 Vcs-Git: https://salsa.debian.org/gnome-team/devhelp.git
 Homepage: https://wiki.gnome.org/Apps/Devhelp

## devhelp 3.34.0

=== debian/changelog ===
devhelp (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat and drop debian/compat
  * Build-Depend on dh-sequnce-gir, dh-sequence-gnome, & dh-sequence-python3
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Sep 2019 12:34:26 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
-               dh-python,
-               gnome-pkg-tools,
-               gobject-introspection,
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
+               dh-sequence-python3,
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.25),
                itstool,
@@ -22,7 +22,7 @@
                libxml-parser-perl,
                meson (>= 0.47),
                python3
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp
 Vcs-Git: https://salsa.debian.org/gnome-team/devhelp.git
 Homepage: https://wiki.gnome.org/Apps/Devhelp

## devhelp 3.36.0

=== debian/changelog ===
devhelp (3.36.0-2) unstable; urgency=medium

  * debian/libdevhelp-3-6.symbols: Add newly exported symbol
  * debian/control.in: Add several -doc packages to the build-dependencies so
    the links between the documentation files are properly resolved
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 21:42:41 +0100

devhelp (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Mar 2020 13:42:52 +0100

devhelp (3.35.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated glib, meson and webkitgtk requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Feb 2020 12:30:31 +0100

## devhelp 3.36.1

=== meson_options.txt ===
option('flatpak_build', type : 'boolean', value : false, description : 'Flatpak build mode')
option('gtk_doc', type : 'boolean', value : false, description : 'Build the API reference')

=== debian/changelog ===
devhelp (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 16:42:41 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -15,14 +15,17 @@
                gtk-doc-tools (>= 1.25),
                itstool,
                libamtk-5-dev,
-               libglib2.0-dev (>= 2.40),
+               libglib2.0-dev (>= 2.60),
+               libglib2.0-doc,
                libgirepository1.0-dev,
                libgtk-3-dev (>= 3.22),
-               libwebkit2gtk-4.0-dev (>= 2.19.2),
+               libgtk-3-doc,
+               libwebkit2gtk-4.0-dev (>= 2.24),
+               libwebkit2gtk-4.0-doc,
                libxml-parser-perl,
-               meson (>= 0.47),
+               meson (>= 0.50),
                python3
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp
 Vcs-Git: https://salsa.debian.org/gnome-team/devhelp.git
 Homepage: https://wiki.gnome.org/Apps/Devhelp

## devhelp 3.36.2

=== debian/changelog ===
devhelp (3.36.2-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1922215)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Apr 2021 11:21:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gir,gnome,python3
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgtk_doc=true

## devhelp 3.38.0

=== debian/changelog ===
devhelp (3.38.0-1) unstable; urgency=medium

  * New upstream release:
    - Enable WebKitGTK sandbox.
    - Add more keyboard shortcuts to zoom actions.
    - Improvements to the build system.
    - Improvement to the Flatpak.
  * debian/devhelp.docs: Install README.md instead of old plain-text file
  * debian/control: Update build-dependencies

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Sep 2020 11:44:17 +0200

devhelp (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Apr 2020 17:14:13 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -15,15 +15,15 @@
                gtk-doc-tools (>= 1.25),
                itstool,
                libamtk-5-dev,
-               libglib2.0-dev (>= 2.60),
+               libglib2.0-dev (>= 2.64),
                libglib2.0-doc,
                libgirepository1.0-dev,
                libgtk-3-dev (>= 3.22),
                libgtk-3-doc,
-               libwebkit2gtk-4.0-dev (>= 2.24),
+               libwebkit2gtk-4.0-dev (>= 2.26),
                libwebkit2gtk-4.0-doc,
                libxml-parser-perl,
-               meson (>= 0.50),
+               meson (>= 0.53),
                python3
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp

## devhelp 3.38.1

=== meson_options.txt ===
option('flatpak_build', type: 'boolean', value: false, description: 'Flatpak build mode')
option('gtk_doc', type: 'boolean', value: false, description: 'Build the API reference')

=== debian/changelog ===
devhelp (3.38.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Translation updates
  * d/NEWS.Debian: Remove.
    The latest news in that file was 13 years old, which seems uninteresting
    at this point, and the filename was incorrect, resulting it not actually
    being installed.
  * d/upstream/metadata: Add
  * Override Lintian tag for #970275
  * Standards-Version: 4.5.1 (no changes required)
  * Set Rules-Requires-Root to no
  * d/tests: Add a superficial compile/link/run autopkgtest

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Nov 2020 15:53:30 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
                libxml-parser-perl,
                meson (>= 0.53),
                python3
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp
 Vcs-Git: https://salsa.debian.org/gnome-team/devhelp.git
 Homepage: https://wiki.gnome.org/Apps/Devhelp

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

override_dh_installemacsen:
	cp plugins/devhelp.el debian/devhelp.emacsen-startup
	dh_installemacsen
	rm debian/devhelp.emacsen-startup

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_python3:
	dh_python3 -pdevhelp /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins

## devhelp 41.2

=== debian/changelog ===
devhelp (41.2-2ubuntu1) jammy-security; urgency=medium

  * Run autopkgtests through xvfb, required with webkit2gtk 2.41 (LP: #2038106)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Oct 2023 11:41:57 -0400

devhelp (41.2-2) unstable; urgency=medium

  * Team upload
  * d/p/build-Fix-i18n.merge_file-use-with-Meson-0.61.patch,
    d/p/Remove-incorrect-arg-for-i18n.merge_file.patch:
    Add patches from upstream git to fix FTBFS with Meson 0.61
    (Closes: #1005561)
  * d/p/gir-Fix-build-with-WebkitGTK-4.1.patch:
    Add patch from upstream for forward-compatibility with WebKitGTK 4.1
  * d/p/build-Don-t-treat-rc-as-development-build.patch,
    d/p/00install-devhelp-el.patch:
    Improve patch metadata
  * d/p/gi-docgen/templates-Remove-html5shiv.patch:
    Add patch from gi-docgen packaging to remove external JS reference.
    Lintian flags this as a potential privacy breach, although that will
    only be the case for Internet Explorer users, and anyone who is using
    Internet Explorer should have bigger privacy concerns than this.
  * d/p/gi-docgen/Disable-web-fonts-for-now.patch:
    Add patch from gi-docgen packaging to disable web-font overrides
  * Remove an unused Lintian override
  * Install documentation to the conventional location for a Debian package
  * Add doc-base integration

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 13:20:49 +0000

devhelp (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Oct 2021 20:34:09 -0400

devhelp (41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Use export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Sep 2021 17:37:57 -0400

devhelp (41~rc-1) unstable; urgency=medium

  * New upstream release
    - This release adds support for displaying docs produced by gi-docgen
  * debian/copyright: Add info for embedded gi-docgen. See bug 987000.
  * debian/control.in: Add python3-* dependencies needed for gi-docgen build
  * Drop obsolete Build-Depends: amtk, gtk-doc-tools, libxml-parser-perl
  * Update install files for switch from gtk-doc to gi-docgen docs
    (for devhelp's own developer documentation)
  * Add patch to not treat a RC release differently than stable releases

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 07 Sep 2021 21:20:42 -0400

devhelp (40.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 07:29:59 -0400

devhelp (40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/devhelp-common.install, debian/rules:
    - enable editor plugins
  * debian/watch:
    - Update to follow the new GNOME version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 22:49:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
                gsettings-desktop-schemas-dev,
-               gtk-doc-tools (>= 1.25),
                itstool,
-               libamtk-5-dev,
                libglib2.0-dev (>= 2.64),
                libglib2.0-doc,
                libgirepository1.0-dev,
@@ -22,11 +21,15 @@
                libgtk-3-doc,
                libwebkit2gtk-4.0-dev (>= 2.26),
                libwebkit2gtk-4.0-doc,
-               libxml-parser-perl,
                meson (>= 0.53),
-               python3
+               python3-jinja2,
+               python3-markdown,
+               python3-markupsafe,
+               python3-pygments,
+               python3-toml,
+               python3-typogrify
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp
 Vcs-Git: https://salsa.debian.org/gnome-team/devhelp.git
 Homepage: https://wiki.gnome.org/Apps/Devhelp

=== debian/tests/control ===
Tests: libdevhelp-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libdevhelp-dev, pkg-config, xauth, xvfb

## devhelp 43.0

=== debian/changelog ===
devhelp (43.0-3) unstable; urgency=medium

  [ Mohammed Sadiq ]
  * debian/patches: Remove emacs keybinding override patch
    - Some Function keys are reserved for users and some are used by
      GNU Emacs. Let's not override them to avoid possible conflicts
      (Closes: #770917)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact
  * Fix day-of-week for changelog entry 0.3-1
  * Update standards version to 4.6.1, no changes needed
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bicha ]
  * debian/control.in: Fix version number for anjuta Breaks

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Dec 2022 11:49:45 -0500

devhelp (43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57
  * Build with webkit2gtk 4.1 instead of 4.0 (switches to libsoup3
  * Add Breaks against anjuta & gnome-builder for the webkit switch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 09:52:50 -0400

devhelp (43~rc-1) unstable; urgency=high

  * New upstream release
  * Revert switch to webkit2gtk 4.1 and libsoup3.
    GNOME Builder isn't ready for the switch yet. (Closes: #1019128)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 04 Sep 2022 12:21:46 -0400

devhelp (43~beta-2) unstable; urgency=medium

  * Build with webkit2gtk 4.1 instead of 4.0 (switches to libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 12:20:59 -0400

devhelp (43~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen
  * debian/control.in: Bump minimum meson to 0.55
  * Drop 3 build patches applied in new release
  * Update patch to not treat beta as a development build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2022 16:07:42 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
+               gi-docgen,
                gsettings-desktop-schemas-dev,
                itstool,
                libglib2.0-dev (>= 2.64),
@@ -19,9 +19,9 @@
                libgirepository1.0-dev,
                libgtk-3-dev (>= 3.22),
                libgtk-3-doc,
-               libwebkit2gtk-4.0-dev (>= 2.26),
+               libwebkit2gtk-4.1-dev (>= 2.26),
                libwebkit2gtk-4.0-doc,
-               meson (>= 0.53),
+               meson (>= 0.57),
                python3-jinja2,
                python3-markdown,
                python3-markupsafe,
@@ -29,7 +29,7 @@
                python3-toml,
                python3-typogrify
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/devhelp
 Vcs-Git: https://salsa.debian.org/gnome-team/devhelp.git
 Homepage: https://wiki.gnome.org/Apps/Devhelp
@@ -41,7 +41,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          devhelp-common (>= ${source:Version})
-Breaks: anjuta (<< 2:3.14.0-2),
+Breaks: anjuta (<< 2:3.34.0-8~), gnome-builder (<< 43~)
 Description: Library providing documentation browser functionality
  This library provides embedable widgets from the Devhelp program to
  be integrated in tools like the Anjuta IDE for browsing API reference
@@ -56,7 +56,7 @@
          gsettings-desktop-schemas-dev,
          libdevhelp-3-6 (= ${binary:Version}),
          libgtk-3-dev (>= 3.19.3),
-         libwebkit2gtk-4.0-dev (>= 2.6.0)
+         libwebkit2gtk-4.1-dev (>= 2.6.0)
 Description: Library providing documentation browser functionality (development)
  This library provides embedable widgets from the Devhelp program to
  be integrated in tools like the Anjuta IDE for browsing API reference
@@ -70,8 +70,6 @@
 Recommends: libgtk-3-doc,
             libglib2.0-doc,
             libpango1.0-doc
-Breaks: devhelp-common (<< 3.21.91-1)
-Replaces: devhelp-common (<< 3.21.91-1)
 Description: GNOME developers help program
  Devhelp's primary goal is to be an API documentation browser for GNOME.
  It is able to scan for .devhelp files generated automatically for

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true -Dflatpak_build=false -Dplugin_emacs=true -Dplugin_gedit=true -Dplugin_vim=false

override_dh_installemacsen:
	cp plugins/devhelp.el debian/devhelp.emacsen-startup
	dh_installemacsen
	rm debian/devhelp.emacsen-startup

override_dh_python3:
	dh_python3 -pdevhelp /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins

=== debian/tests/control ===
Tests: libdevhelp-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libdevhelp-dev, pkg-config
